Functions
Functions
BLE Services » Shelf Label AP Client (ESLS_C)

## Functions
sdk_err_t | esls_client_init (esls_c_evt_handler_t evt_handler)
| Register ESLS Client event handler. More...
sdk_err_t | esl_ap_adv_param_fast_set (uint8_t adv_idx, struct ble_per_adv_param_t *per_adv_params_p)
| Set ESL AP PAwR adv paramters. More...
void | ble_esl_pawr_evt_on_ble_capture (const ble_evt_t *p_evt)
| Capture PAwR events on BLE. More...
sdk_err_t | esls_c_esl_sent_buffer_register (pawr_sent_data_arr_t *esl_sent_data_buff, uint8_t grp_number)
| Set ESL AP PAwR subevt data buffer, the subevt data will temporarily store here until it's sent. More...
sdk_err_t | esls_c_disc_srvc_start (uint8_t conn_idx)
| Discovery Electronic Shelf Label service on peer. More...
sdk_err_t | esls_c_ctrl_point_notify_set (uint8_t conn_idx, bool is_enable)
| Enable or disable peer Electronic Shelf Label characteristic notify. More...
sdk_err_t | esls_c_esl_addr_set (uint8_t conn_idx, uint8_t esl_id, uint8_t group_id)
| Set Electronic Shelf Label service esl address characteristic. More...
sdk_err_t | esls_c_esl_key_set (uint8_t conn_idx, esls_c_key_type_t key_flag, uint8_t session_key[16], uint8_t iv[8])
| Set Electronic Shelf Label service key material characteristic. More...
sdk_err_t | esls_c_esl_current_abs_time_set (uint8_t conn_idx, uint32_t abs_time)
| Set Electronic Shelf Label service current absolute time characteristic. More...
sdk_err_t | esls_c_disp_info_read (uint8_t conn_idx)
| Set Electronic Shelf Label service display information characteristic. More...
sdk_err_t | esls_c_image_info_read (uint8_t conn_idx)
| Set Electronic Shelf Label service image information characteristic. More...
sdk_err_t | esls_c_sensor_info_read (uint8_t conn_idx)
| Set Electronic Shelf Label service sensor information characteristic. More...
sdk_err_t | esls_c_led_info_read (uint8_t conn_idx)
| Set Electronic Shelf Label service led information characteristic. More...
sdk_err_t | esls_c_esl_ping (uint8_t conn_idx, uint8_t esl_id)
| Sent ESL ping cmd by Electronic Shelf Label service control point characteristic. More...
sdk_err_t | esls_c_esl_unassociate_from_ap (uint8_t conn_idx, uint8_t esl_id)
| Sent ESL unassociate from AP cmd by Electronic Shelf Label service control point characteristic. More...
sdk_err_t | esls_c_esl_service_reset (uint8_t conn_idx, uint8_t esl_id)
| Sent ESL service reset cmd by Electronic Shelf Label service control point characteristic. More...
sdk_err_t | esls_c_esl_factory_reset (uint8_t conn_idx, uint8_t esl_id)
| Sent ESL factory reset cmd by Electronic Shelf Label service control point characteristic. More...
sdk_err_t | esls_c_esl_update_complete (uint8_t conn_idx, uint8_t esl_id)
| Sent ESL update complete cmd by Electronic Shelf Label service control point characteristic. More...
sdk_err_t | esls_c_esl_read_sensor_data (uint8_t conn_idx, uint8_t esl_id, uint8_t sensor_idx)
| Sent ESL read sensor data cmd by Electronic Shelf Label service control point characteristic. More...
sdk_err_t | esls_c_esl_refresh_disp (uint8_t conn_idx, uint8_t esl_id, uint8_t disp_idx)
| Sent ESL refresh display cmd by Electronic Shelf Label service control point characteristic. More...
sdk_err_t | esls_c_esl_disp_image (uint8_t conn_idx, uint8_t esl_id, uint8_t disp_idx, uint8_t image_idx)
| Sent ESL display image cmd by Electronic Shelf Label service control point characteristic. More...
sdk_err_t | esls_c_esl_disp_time_image (uint8_t conn_idx, uint8_t esl_id, uint8_t disp_idx, uint8_t image_idx, uint32_t abs_tim)
| Sent ESL display image time cmd by Electronic Shelf Label service control point characteristic. More...
sdk_err_t | esls_c_esl_led_ctl (uint8_t conn_idx, uint8_t esl_id, uint8_t led_idx, uint8_t color_RGB_bright, uint8_t flashing_pattern[7], uint8_t repeat_type, uint16_t repeat_duration)
| Sent ESL LED control cmd by Electronic Shelf Label service control point characteristic. More...
sdk_err_t | esls_c_esl_led_time_ctl (uint8_t conn_idx, uint8_t esl_id, uint8_t led_idx, uint8_t color_RGB_bright, uint8_t flashing_pattern[7], uint8_t repeat_type, uint16_t repeat_duration, uint32_t abs_tim)
| Sent ESL LED control cmd by Electronic Shelf Label service control point characteristic. More...
sdk_err_t | esls_c_esl_vendor_cmd (uint8_t conn_idx, uint8_t esl_id, uint16_t value_length, uint8_t *ctrl_value_p)
| Sent ESL vendor cmd by Electronic Shelf Label service control point characteristic. More...
sdk_err_t | esls_c_esl_sync_ping (uint8_t grp_id, uint8_t sent_num, uint8_t esl_id)
| Sent ESL ping cmd by Electronic Shelf Label PAwR Advertising subevt. More...
sdk_err_t | esls_c_esl_sync_unassociate_from_ap (uint8_t grp_id, uint8_t sent_num, uint8_t esl_id)
| Sent ESL ESL unassociate from AP cmd by Electronic Shelf Label PAwR Advertising subevt. More...
sdk_err_t | esls_c_esl_sync_service_reset (uint8_t grp_id, uint8_t sent_num, uint8_t esl_id)
| Sent ESL service reset cmd by Electronic Shelf Label PAwR Advertising subevt. More...
sdk_err_t | esls_c_esl_sync_factory_reset (uint8_t grp_id, uint8_t sent_num, uint8_t esl_id)
| Sent ESL factory reset cmd by Electronic Shelf Label PAwR Advertising subevt. More...
sdk_err_t | esls_c_esl_sync_update_complete (uint8_t grp_id, uint8_t sent_num, uint8_t esl_id)
| Sent ESL update complete cmd by Electronic Shelf Label PAwR Advertising subevt. More...
sdk_err_t | esls_c_esl_sync_read_sensor_data (uint8_t grp_id, uint8_t sent_num, uint8_t esl_id, uint8_t sensor_idx)
| Sent ESL read sensor data cmd by Electronic Shelf Label PAwR Advertising subevt. More...
sdk_err_t | esls_c_esl_sync_refresh_disp (uint8_t grp_id, uint8_t sent_num, uint8_t esl_id, uint8_t disp_idx)
| Sent ESL refresh display cmd by Electronic Shelf Label PAwR Advertising subevt. More...
sdk_err_t | esls_c_esl_sync_disp_image (uint8_t grp_id, uint8_t sent_num, uint8_t esl_id, uint8_t disp_idx, uint8_t image_idx)
| Sent ESL display image cmd by Electronic Shelf Label PAwR Advertising subevt. More...
sdk_err_t | esls_c_esl_sync_disp_time_image (uint8_t grp_id, uint8_t sent_num, uint8_t esl_id, uint8_t disp_idx, uint8_t image_idx, uint32_t abs_tim)
| Sent ESL display image time cmd by Electronic Shelf Label PAwR Advertising subevt. More...
sdk_err_t | esls_c_esl_sync_led_ctl (uint8_t grp_id, uint8_t sent_num, uint8_t esl_id, uint8_t led_idx, uint8_t color_RGB_bright, uint8_t flashing_pattern[7], uint8_t repeat_type, uint16_t repeat_duration)
| Sent ESL LED control cmd by Electronic Shelf Label PAwR Advertising subevt. More...
sdk_err_t | esls_c_esl_sync_led_time_ctl (uint8_t grp_id, uint8_t sent_num, uint8_t esl_id, uint8_t led_idx, uint8_t color_RGB_bright, uint8_t flashing_pattern[7], uint8_t repeat_type, uint16_t repeat_duration, uint32_t abs_tim)
| Sent ESL LED control time cmd by Electronic Shelf Label PAwR Advertising subevt. More...
sdk_err_t | esls_c_esl_sync_vendor_cmd (uint8_t grp_id, uint8_t esl_id, uint8_t *data, uint16_t data_len, uint8_t sent_num)
| Sent ESL vendor cmd by Electronic Shelf Label PAwR Advertising subevt. More...

## Detailed Description

## Function Documentation

## ◆ ble_esl_pawr_evt_on_ble_capture()

void ble_esl_pawr_evt_on_ble_capture | ( | const ble_evt_t * | p_evt | ) |

Capture PAwR events on BLE.

Parameters

  [in] | p_evt | Event pointer on BLE.

## ◆ esl_ap_adv_param_fast_set()

sdk_err_t esl_ap_adv_param_fast_set | ( | uint8_t | adv_idx,
|  | struct ble_per_adv_param_t * | per_adv_params_p
| ) |  |

Set ESL AP PAwR adv paramters.

Parameters

  [in] | adv_idx | ESL PAwR advertising idx.
  [in] | per_adv_params_p | ESL PAwR advertising parameter.

Returns
  Result of set.

## ◆ esls_c_ctrl_point_notify_set()

sdk_err_t esls_c_ctrl_point_notify_set | ( | uint8_t | conn_idx,
|  | bool | is_enable
| ) |  |

Enable or disable peer Electronic Shelf Label characteristic notify.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | is_enable | True or false.

Returns
  Operation result.

## ◆ esls_c_disc_srvc_start()

sdk_err_t esls_c_disc_srvc_start | ( | uint8_t | conn_idx | ) |

Discovery Electronic Shelf Label service on peer.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ esls_c_disp_info_read()

sdk_err_t esls_c_disp_info_read | ( | uint8_t | conn_idx | ) |

Set Electronic Shelf Label service display information characteristic.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ esls_c_esl_addr_set()

sdk_err_t esls_c_esl_addr_set | ( | uint8_t | conn_idx,
|  | uint8_t | esl_id,
|  | uint8_t | group_id
| ) |  |

Set Electronic Shelf Label service esl address characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | esl_id | esl index.
  [in] | group_id | esl group index.

Returns
  Operation result.

## ◆ esls_c_esl_current_abs_time_set()

sdk_err_t esls_c_esl_current_abs_time_set | ( | uint8_t | conn_idx,
|  | uint32_t | abs_time
| ) |  |

Set Electronic Shelf Label service current absolute time characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | abs_time | current absolute time.

Returns
  Operation result.

## ◆ esls_c_esl_disp_image()

sdk_err_t esls_c_esl_disp_image | ( | uint8_t | conn_idx,
|  | uint8_t | esl_id,
|  | uint8_t | disp_idx,
|  | uint8_t | image_idx
| ) |  |

Sent ESL display image cmd by Electronic Shelf Label service control point characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | esl_id | esl index.
  [in] | disp_idx | display index.
  [in] | image_idx | image index.

Returns
  Operation result.

## ◆ esls_c_esl_disp_time_image()

sdk_err_t esls_c_esl_disp_time_image | ( | uint8_t | conn_idx,
|  | uint8_t | esl_id,
|  | uint8_t | disp_idx,
|  | uint8_t | image_idx,
|  | uint32_t | abs_tim
| ) |  |

Sent ESL display image time cmd by Electronic Shelf Label service control point characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | esl_id | esl index.
  [in] | disp_idx | display index.
  [in] | image_idx | image index.
  [in] | abs_tim | Time when the display changes state.

Returns
  Operation result.

## ◆ esls_c_esl_factory_reset()

sdk_err_t esls_c_esl_factory_reset | ( | uint8_t | conn_idx,
|  | uint8_t | esl_id
| ) |  |

Sent ESL factory reset cmd by Electronic Shelf Label service control point characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | esl_id | esl index.

Returns
  Operation result.

## ◆ esls_c_esl_key_set()

sdk_err_t esls_c_esl_key_set | ( | uint8_t | conn_idx,
|  | esls_c_key_type_t | key_flag,
|  | uint8_t | session_key[16],
|  | uint8_t | iv[8]
| ) |  |

Set Electronic Shelf Label service key material characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | key_flag | key type.
  [in] | session_key | session key if the key type.
  [in] | iv | iv of the key type.

Returns
  Operation result.

## ◆ esls_c_esl_led_ctl()

sdk_err_t esls_c_esl_led_ctl | ( | uint8_t | conn_idx,
|  | uint8_t | esl_id,
|  | uint8_t | led_idx,
|  | uint8_t | color_RGB_bright,
|  | uint8_t | flashing_pattern[7],
|  | uint8_t | repeat_type,
|  | uint16_t | repeat_duration
| ) |  |

Sent ESL LED control cmd by Electronic Shelf Label service control point characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | esl_id | esl index.
  [in] | led_idx | led index.
  [in] | color_RGB_bright | The values of the Color_Red, Color_Green, Color_Blue, and brightness fields.
  [in] | flashing_pattern | The Flashing_Pattern fields contain values that indicate the flashing pattern setting of the LED.
  [in] | repeat_type | The Repeat_Type enables the time for which the flashing pattern shall be displayed to be specified.
  [in] | repeat_duration | Tepeat duration

Returns
  Operation result.

## ◆ esls_c_esl_led_time_ctl()

sdk_err_t esls_c_esl_led_time_ctl | ( | uint8_t | conn_idx,
|  | uint8_t | esl_id,
|  | uint8_t | led_idx,
|  | uint8_t | color_RGB_bright,
|  | uint8_t | flashing_pattern[7],
|  | uint8_t | repeat_type,
|  | uint16_t | repeat_duration,
|  | uint32_t | abs_tim
| ) |  |

Sent ESL LED control cmd by Electronic Shelf Label service control point characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | esl_id | esl index.
  [in] | led_idx | led index.
  [in] | color_RGB_bright | The values of the Color_Red, Color_Green, Color_Blue, and brightness fields.
  [in] | flashing_pattern | The Flashing_Pattern fields contain values that indicate the flashing pattern setting of the LED.
  [in] | repeat_type | The Repeat_Type enables the time for which the flashing pattern shall be displayed to be specified.
  [in] | repeat_duration | Tepeat duration.
  [in] | abs_tim | Time when the led changes state.

Returns
  Operation result.

## ◆ esls_c_esl_ping()

sdk_err_t esls_c_esl_ping | ( | uint8_t | conn_idx,
|  | uint8_t | esl_id
| ) |  |

Sent ESL ping cmd by Electronic Shelf Label service control point characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | esl_id | esl index.

Returns
  Operation result.

## ◆ esls_c_esl_read_sensor_data()

sdk_err_t esls_c_esl_read_sensor_data | ( | uint8_t | conn_idx,
|  | uint8_t | esl_id,
|  | uint8_t | sensor_idx
| ) |  |

Sent ESL read sensor data cmd by Electronic Shelf Label service control point characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | esl_id | esl index.
  [in] | sensor_idx | sensor index.

Returns
  Operation result.

## ◆ esls_c_esl_refresh_disp()

sdk_err_t esls_c_esl_refresh_disp | ( | uint8_t | conn_idx,
|  | uint8_t | esl_id,
|  | uint8_t | disp_idx
| ) |  |

Sent ESL refresh display cmd by Electronic Shelf Label service control point characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | esl_id | esl index.
  [in] | disp_idx | display index.

Returns
  Operation result.

## ◆ esls_c_esl_sent_buffer_register()

sdk_err_t esls_c_esl_sent_buffer_register | ( | pawr_sent_data_arr_t * | esl_sent_data_buff,
|  | uint8_t | grp_number
| ) |  |

Set ESL AP PAwR subevt data buffer, the subevt data will temporarily store here until it's sent.

Parameters

  [in] | esl_sent_data_buff | subevt data buffer.
  [in] | grp_number | subevt data buffer arr number.This number should be equal to PAwR num_subevts.

Returns
  Result of set.

## ◆ esls_c_esl_service_reset()

sdk_err_t esls_c_esl_service_reset | ( | uint8_t | conn_idx,
|  | uint8_t | esl_id
| ) |  |

Sent ESL service reset cmd by Electronic Shelf Label service control point characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | esl_id | esl index.

Returns
  Operation result.

## ◆ esls_c_esl_sync_disp_image()

sdk_err_t esls_c_esl_sync_disp_image | ( | uint8_t | grp_id,
|  | uint8_t | sent_num,
|  | uint8_t | esl_id,
|  | uint8_t | disp_idx,
|  | uint8_t | image_idx
| ) |  |

Sent ESL display image cmd by Electronic Shelf Label PAwR Advertising subevt.

Parameters

  [in] | grp_id | group index.
  [in] | sent_num | message will be sent times.
  [in] | esl_id | esl index.
  [in] | disp_idx | display index.
  [in] | image_idx | image index.

Returns
  Operation result.

## ◆ esls_c_esl_sync_disp_time_image()

sdk_err_t esls_c_esl_sync_disp_time_image | ( | uint8_t | grp_id,
|  | uint8_t | sent_num,
|  | uint8_t | esl_id,
|  | uint8_t | disp_idx,
|  | uint8_t | image_idx,
|  | uint32_t | abs_tim
| ) |  |

Sent ESL display image time cmd by Electronic Shelf Label PAwR Advertising subevt.

Parameters

  [in] | grp_id | group index.
  [in] | sent_num | message will be sent times.
  [in] | esl_id | esl index.
  [in] | disp_idx | display index.
  [in] | image_idx | image index.
  [in] | abs_tim | Time when the display changes state.

Returns
  Operation result.

## ◆ esls_c_esl_sync_factory_reset()

sdk_err_t esls_c_esl_sync_factory_reset | ( | uint8_t | grp_id,
|  | uint8_t | sent_num,
|  | uint8_t | esl_id
| ) |  |

Sent ESL factory reset cmd by Electronic Shelf Label PAwR Advertising subevt.

Parameters

  [in] | grp_id | group index.
  [in] | sent_num | message will be sent times.
  [in] | esl_id | esl index.

Returns
  Operation result.

## ◆ esls_c_esl_sync_led_ctl()

sdk_err_t esls_c_esl_sync_led_ctl | ( | uint8_t | grp_id,
|  | uint8_t | sent_num,
|  | uint8_t | esl_id,
|  | uint8_t | led_idx,
|  | uint8_t | color_RGB_bright,
|  | uint8_t | flashing_pattern[7],
|  | uint8_t | repeat_type,
|  | uint16_t | repeat_duration
| ) |  |

Sent ESL LED control cmd by Electronic Shelf Label PAwR Advertising subevt.

Parameters

  [in] | grp_id | group index.
  [in] | sent_num | message will be sent times.
  [in] | esl_id | esl index.
  [in] | led_idx | led index.
  [in] | color_RGB_bright | The values of the Color_Red, Color_Green, Color_Blue, and brightness fields.
  [in] | flashing_pattern | The Flashing_Pattern fields contain values that indicate the flashing pattern setting of the LED.
  [in] | repeat_type | The Repeat_Type enables the time for which the flashing pattern shall be displayed to be specified.
  [in] | repeat_duration | Tepeat duration.

Returns
  Operation result.

## ◆ esls_c_esl_sync_led_time_ctl()

sdk_err_t esls_c_esl_sync_led_time_ctl | ( | uint8_t | grp_id,
|  | uint8_t | sent_num,
|  | uint8_t | esl_id,
|  | uint8_t | led_idx,
|  | uint8_t | color_RGB_bright,
|  | uint8_t | flashing_pattern[7],
|  | uint8_t | repeat_type,
|  | uint16_t | repeat_duration,
|  | uint32_t | abs_tim
| ) |  |

Sent ESL LED control time cmd by Electronic Shelf Label PAwR Advertising subevt.

Parameters

  [in] | grp_id | group index.
  [in] | sent_num | message will be sent times.
  [in] | esl_id | esl index.
  [in] | led_idx | led index.
  [in] | color_RGB_bright | The values of the Color_Red, Color_Green, Color_Blue, and brightness fields.
  [in] | flashing_pattern | The Flashing_Pattern fields contain values that indicate the flashing pattern setting of the LED.
  [in] | repeat_type | The Repeat_Type enables the time for which the flashing pattern shall be displayed to be specified.
  [in] | repeat_duration | Tepeat duration.
  [in] | abs_tim | Time when the led changes state.

Returns
  Operation result.

## ◆ esls_c_esl_sync_ping()

sdk_err_t esls_c_esl_sync_ping | ( | uint8_t | grp_id,
|  | uint8_t | sent_num,
|  | uint8_t | esl_id
| ) |  |

Sent ESL ping cmd by Electronic Shelf Label PAwR Advertising subevt.

Parameters

  [in] | grp_id | group index.
  [in] | sent_num | message will be sent times.
  [in] | esl_id | esl index.

Returns
  Operation result.

## ◆ esls_c_esl_sync_read_sensor_data()

sdk_err_t esls_c_esl_sync_read_sensor_data | ( | uint8_t | grp_id,
|  | uint8_t | sent_num,
|  | uint8_t | esl_id,
|  | uint8_t | sensor_idx
| ) |  |

Sent ESL read sensor data cmd by Electronic Shelf Label PAwR Advertising subevt.

Parameters

  [in] | grp_id | group index.
  [in] | sent_num | message will be sent times.
  [in] | esl_id | esl index.
  [in] | sensor_idx | sensor index.

Returns
  Operation result.

## ◆ esls_c_esl_sync_refresh_disp()

sdk_err_t esls_c_esl_sync_refresh_disp | ( | uint8_t | grp_id,
|  | uint8_t | sent_num,
|  | uint8_t | esl_id,
|  | uint8_t | disp_idx
| ) |  |

Sent ESL refresh display cmd by Electronic Shelf Label PAwR Advertising subevt.

Parameters

  [in] | grp_id | group index.
  [in] | sent_num | message will be sent times.
  [in] | esl_id | esl index.
  [in] | disp_idx | display index.

Returns
  Operation result.

## ◆ esls_c_esl_sync_service_reset()

sdk_err_t esls_c_esl_sync_service_reset | ( | uint8_t | grp_id,
|  | uint8_t | sent_num,
|  | uint8_t | esl_id
| ) |  |

Sent ESL service reset cmd by Electronic Shelf Label PAwR Advertising subevt.

Parameters

  [in] | grp_id | group index.
  [in] | sent_num | message will be sent times.
  [in] | esl_id | esl index.

Returns
  Operation result.

## ◆ esls_c_esl_sync_unassociate_from_ap()

sdk_err_t esls_c_esl_sync_unassociate_from_ap | ( | uint8_t | grp_id,
|  | uint8_t | sent_num,
|  | uint8_t | esl_id
| ) |  |

Sent ESL ESL unassociate from AP cmd by Electronic Shelf Label PAwR Advertising subevt.

Parameters

  [in] | grp_id | group index.
  [in] | sent_num | message will be sent times.
  [in] | esl_id | esl index.

Returns
  Operation result.

## ◆ esls_c_esl_sync_update_complete()

sdk_err_t esls_c_esl_sync_update_complete | ( | uint8_t | grp_id,
|  | uint8_t | sent_num,
|  | uint8_t | esl_id
| ) |  |

Sent ESL update complete cmd by Electronic Shelf Label PAwR Advertising subevt.

Parameters

  [in] | grp_id | group index.
  [in] | sent_num | message will be sent times.
  [in] | esl_id | esl index.

Returns
  Operation result.

## ◆ esls_c_esl_sync_vendor_cmd()

sdk_err_t esls_c_esl_sync_vendor_cmd | ( | uint8_t | grp_id,
|  | uint8_t | esl_id,
|  | uint8_t * | data,
|  | uint16_t | data_len,
|  | uint8_t | sent_num
| ) |  |

Sent ESL vendor cmd by Electronic Shelf Label PAwR Advertising subevt.

Parameters

  [in] | grp_id | group index.
  [in] | esl_id | esl index.
  [in] | data | vendor cmd data.
  [in] | data_len | vendor cmd data length.
  [in] | sent_num | message will be sent times.

Returns
  Operation result.

## ◆ esls_c_esl_unassociate_from_ap()

sdk_err_t esls_c_esl_unassociate_from_ap | ( | uint8_t | conn_idx,
|  | uint8_t | esl_id
| ) |  |

Sent ESL unassociate from AP cmd by Electronic Shelf Label service control point characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | esl_id | esl index.

Returns
  Operation result.

## ◆ esls_c_esl_update_complete()

sdk_err_t esls_c_esl_update_complete | ( | uint8_t | conn_idx,
|  | uint8_t | esl_id
| ) |  |

Sent ESL update complete cmd by Electronic Shelf Label service control point characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | esl_id | esl index.

Returns
  Operation result.

## ◆ esls_c_esl_vendor_cmd()

sdk_err_t esls_c_esl_vendor_cmd | ( | uint8_t | conn_idx,
|  | uint8_t | esl_id,
|  | uint16_t | value_length,
|  | uint8_t * | ctrl_value_p
| ) |  |

Sent ESL vendor cmd by Electronic Shelf Label service control point characteristic.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | esl_id | esl index.
  [in] | value_length | vendor cmd data length.
  [in] | ctrl_value_p | vendor cmd data.

Returns
  Operation result.

## ◆ esls_c_image_info_read()

sdk_err_t esls_c_image_info_read | ( | uint8_t | conn_idx | ) |

Set Electronic Shelf Label service image information characteristic.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ esls_c_led_info_read()

sdk_err_t esls_c_led_info_read | ( | uint8_t | conn_idx | ) |

Set Electronic Shelf Label service led information characteristic.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ esls_c_sensor_info_read()

sdk_err_t esls_c_sensor_info_read | ( | uint8_t | conn_idx | ) |

Set Electronic Shelf Label service sensor information characteristic.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ esls_client_init()

sdk_err_t esls_client_init | ( | esls_c_evt_handler_t | evt_handler | ) |

Register ESLS Client event handler.

Parameters

  [in] | evt_handler | Electronic Shelf Label Client event handler.

Returns
  Result of initialization.